%global rhino_fork_githash ef0faa3e34ef6c3b42c1be4474d0252d96eb4535
Name:          htmlunit-core-js
Version:       2.17
Release:       3%{?dist}
Summary:       Rhino fork for htmlunit
License:       MPLv2.0
URL:           http://htmlunit.sourceforge.net/
Source0:       https://github.com/HtmlUnit/htmlunit-core-js/archive/core-js-%{version}.tar.gz
Source1:       https://github.com/HtmlUnit/htmlunit-rhino-fork/archive/%{rhino_fork_githash}/htmlunit-rhino-fork-%{rhino_fork_githash}.tar.gz

Patch0:        %{name}-2.17-build.patch


BuildRequires: ant
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: junit

%if 0
# Test use
BuildRequires: ant-junit
BuildRequires: bea-stax-api
BuildRequires: emma
BuildRequires: hamcrest
BuildRequires: xmlbeans
%endif

# Modified version of Mozilla Rhino 1.7.7
# see http://central.maven.org/maven2/net/sourceforge/htmlunit/htmlunit-core-js/2.17/htmlunit-core-js-2.17-sources.jar#rhinoDiff.txt
# https://fedorahosted.org/fpc/ticket/538
Provides:      bundled(rhino)

BuildArch:     noarch

%description
This is a fork of Rhino to support HtmlUnit.
Everyone hopes it will go away someday.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-core-js-%{version} -a1
mv htmlunit-rhino-fork-%{rhino_fork_githash} htmlunit-rhino-fork

# Cleanup
find . -name "*.class"  -print -delete
find . -name "*.jar" -print -delete
find . -name "*.tar.*" -print -delete
find . -name '*.zip' -print -delete

%patch0 -p1

cp -p htmlunit-rhino-fork/LICENSE.txt LICENSE-MPL.txt

# package netscape.javascript does not exist
sed -i 's|depends="test"||' build.xml
%if 0
# Fix non ASCII chars
for s in htmlunit-rhino-fork/toolsrc/org/mozilla/javascript/tools/shell/ShellConsole.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug637811Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug685403Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug687669Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug688018Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug688021Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug688023Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug689308Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug689314Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug708801Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug714204Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug782363Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug789277Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/Bug783797Test.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/es5/Test262RegExpTest.java \
 htmlunit-rhino-fork/testsrc/org/mozilla/javascript/tests/json/JsonParserTest.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done
%endif

%build

%ant jar-all

%install
%mvn_artifact pom.xml target/%{name}-%{version}.jar
%mvn_file net.sourceforge.htmlunit:%{name} %{name}
%mvn_install -J target/javadoc

%files -f .mfiles
%doc README.html
%license LICENSE.txt LICENSE-MPL.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt LICENSE-MPL.txt

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 07 2015 gil cattaneo <puntogil@libero.it> 2.17-2
- fpc#538. add Provides: bundled(rhino)

* Thu Jul 02 2015 gil cattaneo <puntogil@libero.it> 2.17-1
- update to 2.17

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 gil cattaneo <puntogil@libero.it> 2.16-2
- fix javadoc errors

* Fri Apr 24 2015 gil cattaneo <puntogil@libero.it> 2.16-1
- update to 2.16

* Thu Feb 05 2015 gil cattaneo <puntogil@libero.it> 2.9-8
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.9-6
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 02 2011 Andy Grimm <agrimm@gmail.com> - 2.9-1
- Initial package
